## org.apache.batik.script.rhino
Class RhinoInterpreterFactory

    java.lang.Object
      org.apache.batik.script.rhino.RhinoInterpreterFactory

All Implemented Interfaces:
  InterpreterFactory

public class RhinoInterpreterFactory
extends java.lang.Object
implements InterpreterFactory

Allows to create instances of `RhinoInterpreter` class.

Constructor Summary
`RhinoInterpreterFactory()` Builds a `RhinoInterpreterFactory`.

Method Summary
`Interpreter` `createInterpreter(java.net.URL documentURL)` Creates an instance of `RhinoInterpreter` class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RhinoInterpreterFactory

    public RhinoInterpreterFactory()

  Builds a `RhinoInterpreterFactory`.

Method Detail

### createInterpreter

    public Interpreter createInterpreter(java.net.URL documentURL)

  Creates an instance of `RhinoInterpreter` class.

  Specified by:
    `createInterpreter` in interface `InterpreterFactory`
  Parameters:
    `documentURL` - the url for the document which will be scripted

Copyright © 2004 Apache Software Foundation. All Rights Reserved.